package com.qmth.distributed.print.business.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.distributed.print.business.entity.TFCustomFlowList;
import com.qmth.distributed.print.business.mapper.TFCustomFlowListMapper;
import com.qmth.distributed.print.business.service.TFCustomFlowListService;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 自定义流程列表 服务实现类
 * </p>
 *
 * @author wangliang
 * @since 2022-02-18
 */
@Service
public class TFCustomFlowListServiceImpl extends ServiceImpl<TFCustomFlowListMapper, TFCustomFlowList> implements TFCustomFlowListService {

    /**
     * 根据自定义流程id查找
     *
     * @param customFlowId
     * @return
     */
    @Override
    public TFCustomFlowList findByCustomFlowId(Long customFlowId) {
        QueryWrapper<TFCustomFlowList> tfCustomFlowListQueryWrapper = new QueryWrapper<>();
        tfCustomFlowListQueryWrapper.lambda().eq(TFCustomFlowList::gettFCustomFlowId, customFlowId);
        return this.getOne(tfCustomFlowListQueryWrapper);
    }

    /**
     * 根据流程id查找
     *
     * @param flowId
     * @return
     */
    @Override
    public TFCustomFlowList findByFlowId(Long flowId) {
        QueryWrapper<TFCustomFlowList> tfCustomFlowListQueryWrapper = new QueryWrapper<>();
        tfCustomFlowListQueryWrapper.lambda().eq(TFCustomFlowList::getFlowId, flowId);
        return this.getOne(tfCustomFlowListQueryWrapper);
    }
}
